"""
Django settings for konova project.

Generated by 'django-admin startproject' using Django 3.1.2.

For more information on this file, see
https://docs.djangoproject.com/en/3.1/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/3.1/ref/settings/
"""

# Load other settings
from konova.sub_settings.django_settings import *

# Num of days if user enables Remember-me on login
KEEP_LOGGED_DURATION = 30

# German DateTime string format
STRF_DATE_TIME = "%d.%m.%Y %H:%M:%S"

# Tables
RESULTS_PER_PAGE_PARAM = "rpp"
PAGE_PARAM = "page"
PAGE_SIZE_OPTIONS = [5, 10, 15, 20, 25, 30, 50, 75, 100]
PAGE_SIZE_OPTIONS_TUPLES = [
    (5, 5),
    (10, 10),
    (15, 15),
    (20, 20),
    (25, 25),
    (30, 30),
    (50, 50),
    (75, 75),
    (100, 100),
]
PAGE_SIZE_DEFAULT = 5
PAGE_SIZE_MAX = 100
PAGE_DEFAULT = 1

# SSO settings
SSO_SERVER_BASE = "http://127.0.0.1:8000/"
SSO_SERVER = "{}sso/".format(SSO_SERVER_BASE)
SSO_PRIVATE_KEY = "CHANGE_ME"
SSO_PUBLIC_KEY = "CHANGE_ME"

# MAPS
DEFAULT_LAT = 50.00
DEFAULT_LON = 7.00
DEFAULT_ZOOM = 8.0

# PERMISSION VALUES
## Group default
ADD_INTERVENTION = "add_intervention"
EDIT_INTERVENTION = "edit_intervention"
DELETE_INTERVENTION = "delete_intervention"

ADD_COMPENSATION = "add_compensation"
EDIT_COMPENSATION = "edit_compensation"
DELETE_COMPENSATION = "delete_compensation"

ADD_ECOACCOUNT = "add_ecoaccount"
EDIT_ECOACCOUNT = "edit_ecoaccount"
DELETE_ECOACCOUNT = "delete_ecoaccount"

CREATE_SHARE_LINK = "create_share_link"

## Group ZB
VALIDITY_CHECK = "validity_check"

## Group ETS
RECORD_DATA = "record_data"  # refers to 'verzeichnen'
ADD_EMA = "add_ema"
EDIT_EMA = "edit_ema"
DELETE_EMA = "delete_ema"
